Subject: Re: [IPSEC] Store idev entries

From: Patrick McHardy <[email-masked]>
Date: Wed, 04 May 2005 03:20:11 +0200

Herbert Xu wrote:
> Hmm, I wonder why I didn't see this.  Anyway, could you please add
> the include to addrconf.h instead?

Sure, I missed the includes below and thought users of the file were
supposed to include it first.

Signed-off-by: Patrick McHardy <[email-masked]>
Index: include/net/addrconf.h
===================================================================
--- 591ce19741741438606ab75a45ac9f973cbb4787/include/net/addrconf.h  (mode:100644 sha1:f1e5af4be98e4a9cde314a5c1ceeaf3a61cf87ad)
+++ uncommitted/include/net/addrconf.h  (mode:100644)
@@ -17,6 +17,8 @@
 
 #define IPV6_MAX_ADDRESSES		16
 
+#include <linux/in6.h>
+
 struct prefix_info {
 	__u8			type;
 	__u8			length;
@@ -43,7 +45,6 @@
 
 #ifdef __KERNEL__
 
-#include <linux/in6.h>
 #include <linux/netdevice.h>
 #include <net/if_inet6.h>
 #include <net/ipv6.h>